Bug 127509 - [PATCH] ports mail/mutt-devel and news/tin install conflicting manual pages
Summary: [PATCH] ports mail/mutt-devel and news/tin install conflicting manual pages
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Andrey A. Chernov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-09-20 17:40 UTC by N.J. Mann
Modified: 2008-09-28 17:00 UTC (History)
0 users

See Also:


Attachments
mutt-devel.patch.txt (2.05 KB, text/plain)
2008-09-20 17:40 UTC, N.J. Mann
no flags Details
file.diff (2.57 KB, patch)
2008-09-20 17:40 UTC, N.J. Mann
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description N.J. Mann 2008-09-20 17:40:03 UTC
	The ports mail/mutt-devel and news/tin both install the manual pages
mbox(5) and mmdf(5), although the content of both is different between the
two ports.  If one installs both ports and then de-installs one of them
these manual pages will be removed, which may not be what the user expects.
Also, during upgrades if the older of the two is being upgraded the MD5
checks will fail causing a warning to be printed, which may cause confusion
to the user.

It could be argued that news/tin should not be installing mbox(5) and
mmdf(5) manual pages by default since it is primarily a news client.
However, some users do use it for email.  Because of that I offer a patch
for both ports which makes the installation of these two manual pages
optional.

Fix: The patches included below offer user options to not install the
manual pages mbox(5) and mmdf(5).  The user may then choose which port (if
any) should install and "own" these manual pages.
How-To-Repeat: 	Install news/tin and then mail/mutt-devel.  The latter installation
process will over-write the files installed by the installation of the
former.
Comment 1 Edwin Groothuis freebsd_committer 2008-09-20 17:40:11 UTC
Maintainer of mail/mutt-devel,

Please note that PR ports/127509 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/127509

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2008-09-20 17:40:13 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Udo.Schweigert 2008-09-27 08:51:01 UTC
The mutt-devel part is fixed by PR ports/127677

Udo

On Sat, Sep 20, 2008 at 16:40:11 +0000, Edwin Groothuis wrote:
> Maintainer of mail/mutt-devel,
> 
> Please note that PR ports/127509 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/127509
> 
> -- 
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
>
Comment 4 Martin Wilke freebsd_committer 2008-09-27 20:02:06 UTC
State Changed
From-To: feedback->closed

Close by maintainer request. Please see ports/127677.
Comment 5 N.J. Mann 2008-09-28 10:29:44 UTC
[resending because I forgot to Cc GNATS]

In message <200809271902.m8RJ26Ya038178@freefall.freebsd.org>,
	miwi@FreeBSD.org (miwi@FreeBSD.org) wrote:
> Synopsis: [PATCH] ports mail/mutt-devel and news/tin install conflicting manual pages
>
> State-Changed-From-To: feedback->closed
> State-Changed-By: miwi
> State-Changed-When: Sat Sep 27 19:02:06 UTC 2008
> State-Changed-Why:
> Close by maintainer request. Please see ports/127677.
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=127509

As the mail/mutt-devel maintainer points out in 127677, his change only
partially solves the problem reported in this PR.  The maintainer of
news/tin should also be contacted and made aware of this PR.


Cheers,
       Nick.
--
Comment 6 dfilter service freebsd_committer 2008-09-28 16:44:19 UTC
ache        2008-09-28 15:44:09 UTC

  FreeBSD ports repository

  Modified files:
    news/tin             Makefile 
  Added files:
    news/tin/files       extra-patch-no-mbox-manpage 
  Log:
  1) Add WITHOUT_TIN_MAILBOX_MANPAGES knob
  2) Drop my maintainership
  
  PR:             127509
  Submitted by:   "N.J. Mann" <njm@njm.me.uk> (1)
  
  Revision  Changes    Path
  1.144     +8 -2      ports/news/tin/Makefile
  1.1       +13 -0     ports/news/tin/files/extra-patch-no-mbox-manpage (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Mark Linimon freebsd_committer freebsd_triage 2008-09-28 16:49:27 UTC
State Changed
From-To: closed->open

Over to news/tin maintainer for second part of patch. 


Comment 8 Mark Linimon freebsd_committer freebsd_triage 2008-09-28 16:49:27 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ache
Comment 9 Mark Linimon freebsd_committer freebsd_triage 2008-09-28 16:55:20 UTC
State Changed
From-To: open->closed

Fix has already been committed.